Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.query.xpath
Class XPath.OrderBySpec

    java.lang.Object
      org.modeshape.jcr.query.xpath.XPath.OrderBySpec

Enclosing class:
  XPath

    public static class XPath.OrderBySpec

extends Object

Constructor Summary
`XPath.OrderBySpec(Order order, XPath.FunctionCall scoreFunction)`
`XPath.OrderBySpec(Order order, XPath.NameTest attributeName)`

Method Summary
`boolean` | `equals(Object obj)`
`XPath.NameTest` | `getAttributeName()` Get the attribute name for this order specification.
`Order` | `getOrder()` The order for this specification
`XPath.FunctionCall` | `getScoreFunction()` Get the score function for this order specification.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPath.OrderBySpec

    public XPath.OrderBySpec(Order order,
                             XPath.FunctionCall scoreFunction)

### XPath.OrderBySpec

    public XPath.OrderBySpec(Order order,
                             XPath.NameTest attributeName)

Method Detail

### getAttributeName

    public XPath.NameTest getAttributeName()

  Get the attribute name for this order specification.

  Returns:
    the attribute name, or null if the order is defined by the `score function`

### getScoreFunction

    public XPath.FunctionCall getScoreFunction()

  Get the score function for this order specification.

  Returns:
    the score function with its parameters, or null if the order is defined by the `attribute name`

### getOrder

    public Order getOrder()

  The order for this specification

  Returns:
    the order; never null

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.